Get a custom domain
curl --request GET \
--url https://api.heymilo.ai/api/v2/domains/{config_id} \
--header 'X-API-KEY: <api-key>'import requests
url = "https://api.heymilo.ai/api/v2/domains/{config_id}"
headers = {"X-API-KEY": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-KEY': '<api-key>'}};
fetch('https://api.heymilo.ai/api/v2/domains/{config_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"id": "BCE1C810",
"domain": "interviews.acme.com",
"cname_target": "ingress.heymilo.ai",
"status": "active",
"active": true,
"created_at": 1739612400,
"updated_at": 1739617200,
"object": "domain"
},
"meta": {}
}{
"error": {
"type": "invalid_request_error",
"code": "validation_error",
"message": "The request body failed validation",
"param": "<string>",
"doc_url": "<string>",
"errors": [
{
"code": "invalid_param",
"message": "title must be between 3 and 200 characters",
"param": "title"
}
]
}
}{
"error": {
"type": "invalid_request_error",
"code": "validation_error",
"message": "The request body failed validation",
"param": "<string>",
"doc_url": "<string>",
"errors": [
{
"code": "invalid_param",
"message": "title must be between 3 and 200 characters",
"param": "title"
}
]
}
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}{
"error": {
"type": "invalid_request_error",
"code": "validation_error",
"message": "The request body failed validation",
"param": "<string>",
"doc_url": "<string>",
"errors": [
{
"code": "invalid_param",
"message": "title must be between 3 and 200 characters",
"param": "title"
}
]
}
}Get a custom domain
Returns a single custom domain configuration by ID.
GET
/
api
/
v2
/
domains
/
{config_id}
Get a custom domain
Authorizations
API key for authentication. Pass your key in the X-API-KEY header.
Path Parameters
Response
Successful Response
A custom domain for candidate-facing interview URLs.
Custom domains allow workspaces to white-label the candidate
experience (e.g. interviews.acme.com instead of
candidates.heymilo.io). Domains require CNAME verification
pointing to ingress.heymilo.ai.
Show child attributes
Show child attributes
Optional metadata. Shape varies by endpoint.
Was this page helpful?
⌘I